Module | Sequel::JDBC::Oracle::DatabaseMethods
In: | lib/sequel/adapters/jdbc/oracle.rb

Instance methods for Oracle Database objects accessed via JDBC.

### Methods

dataset

### Included Modules

Sequel::Oracle::DatabaseMethods

### Constants

TRANSACTION_BEGIN | = | 'Transaction.begin'.freeze
TRANSACTION_COMMIT | = | 'Transaction.commit'.freeze
TRANSACTION_ROLLBACK | = | 'Transaction.rollback'.freeze

### Public Instance methods

dataset(opts=nil)

Return Sequel::JDBC::Oracle::Dataset object with the given opts.

[Source]

        # File lib/sequel/adapters/jdbc/oracle.rb, line 15
    15:         def dataset(opts=nil)
    16:           Sequel::JDBC::Oracle::Dataset.new(self, opts)
    17:         end

[Validate]